Bug 1475495 - CVE-2017-11638 CVE-2017-11642 CVE-2017-11722 CVE-2017-12935 CVE-2017-12936 CVE-2017-12937 CVE-2017-13063 CVE-2017-13064 CVE-2017-13065 CVE-2017-13648 CVE-2017-13736 CVE-2017-13737 CVE-2017-13775 ... GraphicsMagick: various flaws [fedora-all]
CVE-2017-11638 CVE-2017-11642 CVE-2017-11722 CVE-2017-12935 CVE-2017-12936 CV...
Status: NEW
Product: Fedora
Classification: Fedora
Component: GraphicsMagick (Show other bugs)
26
Unspecified Unspecified
low Severity low
: ---
: ---
Assigned To: Andreas Thienemann
Fedora Extras Quality Assurance
: Security, SecurityTracking
Depends On:
Blocks: CVE-2017-11642 CVE-2017-11638 CVE-2017-11722 CVE-2017-12935/CVE-2017-12936/CVE-2017-12937/CVE-2017-13063/CVE-2017-13064/CVE-2017-13065/CVE-2017-13648/CVE-2017-14042 CVE-2017-13775 CVE-2017-13776 CVE-2017-13777 CVE-2017-14103 CVE-2017-13736 CVE-2017-13737 CVE-2017-14165 CVE-2017-14314
  Show dependency treegraph
 
Reported: 2017-07-26 15:11 EDT by Pedro Sampaio
Modified: 2017-09-13 08:54 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Release Note
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pedro Sampaio 2017-07-26 15:11:03 EDT
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of fedora-all.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.
Comment 1 Pedro Sampaio 2017-07-26 15:11:07 EDT
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1475493

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new
Comment 2 Andrej Nemec 2017-07-27 04:12:23 EDT
Added new parent flaw bugs 1475708 (CVE-2017-11638) to this tracking bug.
Comment 3 Andrej Nemec 2017-07-28 10:51:42 EDT
Added new parent flaw bugs 1476300 (CVE-2017-11722) to this tracking bug.
Comment 4 Andrej Nemec 2017-08-31 08:20:23 EDT
Added new parent flaw bugs 1487194 (CVE-2017-12935 CVE-2017-12936 CVE-2017-12937) to this tracking bug.
Comment 5 Andrej Nemec 2017-09-06 09:20:37 EDT
Added new parent flaw bug 1488925 (CVE-2017-13736), 1488926 (CVE-2017-13737) to this tracking bug.
Comment 6 Andrej Nemec 2017-09-06 09:24:13 EDT
Added new parent flaw bug 1487718 (CVE-2017-13775), 1487719 (CVE-2017-13776), 1487731 (CVE-2017-13777), 1488443 (CVE-2017-14103) to this tracking bug.
Comment 7 Andrej Nemec 2017-09-08 09:24:14 EDT
Added new parent flaw bugs 1489848 (CVE-2017-14165) to this tracking bug.
Comment 8 Andrej Nemec 2017-09-13 08:54:36 EDT
Added new parent flaw bugs 1491291 (CVE-2017-14314) to this tracking bug.

Note You need to log in before you can comment on or make changes to this bug.